# coding: utf-8
import os

from pip.download import PipSession
from pip.req.req_file import parse_requirements
from setuptools import setup, find_packages


def get_requirements(file_name):
    pip_session = PipSession()
    requirements = parse_requirements(file_name, session=pip_session)

    return tuple(str(requirement.req) for requirement in requirements)


setup(
    name='concentrator',
    author="BARS Group",
    description='concentrator',
    url='https://stash.bars-open.ru/projects/EDUKNDG/repos/concentrator/',
    package_dir={'': 'src'},
    packages=find_packages('src'),
    install_requires=get_requirements('requirements.txt'),
    include_package_data=True,
    dependency_links=('http://pypi.bars-open.ru/simple/m3-builder', ),
    setup_requires=('m3-builder>=1.0.1', ),
    set_build_info=os.path.dirname(__file__),
)
